import java.util.*;
/**
 * Class representing a human population
 * 
 * @author xpopelk 
 * @version 2013-12-03
 */
public class Population
{
    private Set<Human> people;

    /**
     * Constructor for objects of class Population
     */
    public Population()
    {
        people = new HashSet<Human>();
    }

    /**
     * Add a human to the population
     * @param human a newborn to add
     */
    public boolean newBorn(Human human)
    {
        return people.add(human);
    }
    
    /**
     * Get all people
     * @return unmodifiable set of all people
     */
    public Set<Human> getPeople(){
        return Collections.unmodifiableSet(people);
    }
}
